/* FILE: region.cc                 -*-Mode: c++-*-
 *
 * Abstract region class, derived from OXS extension class.
 *
 */

#include <string.h>

#include "region.h"

/* End includes */


// Constructors
Oxs_Region::Oxs_Region
( const char* name,     // Child instance id
  Oxs_Director* newdtr  // App director
  ) : Oxs_Ext(name,newdtr)
{}

Oxs_Region::Oxs_Region
( const char* name,     // Child instance id
  Oxs_Director* newdtr, // App director
  Tcl_Interp* safe_interp, // Safe interpreter
  const char* argstr    // MIF block argument string
  ) : Oxs_Ext(name,newdtr,safe_interp,argstr)
{}
